
_Main_Init:

;electronique_gradateur_lumiere_012d.mpas,26 :: 		begin
;electronique_gradateur_lumiere_012d.mpas,27 :: 		CMCON := CMCON or $07;  // turn off comparators
	MOVLW      7
	IORWF      CMCON+0, 1
;electronique_gradateur_lumiere_012d.mpas,28 :: 		CCP1CON := CCP1CON or %00001100; // turn on PWM
	MOVLW      12
	IORWF      CCP1CON+0, 1
;electronique_gradateur_lumiere_012d.mpas,29 :: 		OPTION_REG := 0;
	CLRF       OPTION_REG+0
;electronique_gradateur_lumiere_012d.mpas,30 :: 		OPTION_REG.NOT_RBPU := 0;   // enable pullups on PORTB
	BCF        OPTION_REG+0, 7
;electronique_gradateur_lumiere_012d.mpas,31 :: 		INTCON := $00;
	CLRF       INTCON+0
;electronique_gradateur_lumiere_012d.mpas,32 :: 		TRISA := $FF;
	MOVLW      255
	MOVWF      TRISA+0
;electronique_gradateur_lumiere_012d.mpas,33 :: 		TRISB := %11111110;  // only RB0 is output, used for PWM out
	MOVLW      254
	MOVWF      TRISB+0
;electronique_gradateur_lumiere_012d.mpas,34 :: 		PORTA := $00;
	CLRF       PORTA+0
;electronique_gradateur_lumiere_012d.mpas,35 :: 		PORTB := %11111110;
	MOVLW      254
	MOVWF      PORTB+0
;electronique_gradateur_lumiere_012d.mpas,36 :: 		ANSEL := $00;
	CLRF       ANSEL+0
;electronique_gradateur_lumiere_012d.mpas,37 :: 		ANSEL.ANS0 := 1; // set RA0 as analog input
	BSF        ANSEL+0, 0
;electronique_gradateur_lumiere_012d.mpas,38 :: 		OSCCON := 0;
	CLRF       OSCCON+0
;electronique_gradateur_lumiere_012d.mpas,39 :: 		OSCCON.IRCF2 := 1;
	BSF        OSCCON+0, 6
;electronique_gradateur_lumiere_012d.mpas,40 :: 		OSCCON.IRCF1 := 1;
	BSF        OSCCON+0, 5
;electronique_gradateur_lumiere_012d.mpas,41 :: 		OSCCON.IRCF0 := 1;
	BSF        OSCCON+0, 4
;electronique_gradateur_lumiere_012d.mpas,52 :: 		ADC_Init;
	CALL       _ADC_Init+0
;electronique_gradateur_lumiere_012d.mpas,53 :: 		delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L__Main_Init1:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Init1
	DECFSZ     R12+0, 1
	GOTO       L__Main_Init1
	DECFSZ     R11+0, 1
	GOTO       L__Main_Init1
	NOP
;electronique_gradateur_lumiere_012d.mpas,58 :: 		PWM1_Set_Duty(50);
	MOVLW      50
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;electronique_gradateur_lumiere_012d.mpas,59 :: 		delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L__Main_Init2:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Init2
	DECFSZ     R12+0, 1
	GOTO       L__Main_Init2
	DECFSZ     R11+0, 1
	GOTO       L__Main_Init2
	NOP
;electronique_gradateur_lumiere_012d.mpas,60 :: 		iPwmFreqConf := 0;
	CLRF       _iPwmFreqConf+0
	CLRF       _iPwmFreqConf+1
;electronique_gradateur_lumiere_012d.mpas,62 :: 		end;
L_end_Main_Init:
	RETURN
; end of _Main_Init

_PWM_GetFreqValue:

;electronique_gradateur_lumiere_012d.mpas,65 :: 		begin
;electronique_gradateur_lumiere_012d.mpas,67 :: 		iPwmFreqConf := 0;
	CLRF       _iPwmFreqConf+0
	CLRF       _iPwmFreqConf+1
;electronique_gradateur_lumiere_012d.mpas,68 :: 		if PORTB.1 then iPwmFreqConf := iPwmFreqConf + 1;
	BTFSS      PORTB+0, 1
	GOTO       L__PWM_GetFreqValue5
	INCF       _iPwmFreqConf+0, 1
	BTFSC      STATUS+0, 2
	INCF       _iPwmFreqConf+1, 1
L__PWM_GetFreqValue5:
;electronique_gradateur_lumiere_012d.mpas,69 :: 		if PORTB.2 then iPwmFreqConf := iPwmFreqConf + 2;
	BTFSS      PORTB+0, 2
	GOTO       L__PWM_GetFreqValue8
	MOVLW      2
	ADDWF      _iPwmFreqConf+0, 1
	BTFSC      STATUS+0, 0
	INCF       _iPwmFreqConf+1, 1
L__PWM_GetFreqValue8:
;electronique_gradateur_lumiere_012d.mpas,70 :: 		if PORTB.3 then iPwmFreqConf := iPwmFreqConf + 4;
	BTFSS      PORTB+0, 3
	GOTO       L__PWM_GetFreqValue11
	MOVLW      4
	ADDWF      _iPwmFreqConf+0, 1
	BTFSC      STATUS+0, 0
	INCF       _iPwmFreqConf+1, 1
L__PWM_GetFreqValue11:
;electronique_gradateur_lumiere_012d.mpas,71 :: 		if PORTB.4 then iPwmFreqConf := iPwmFreqConf + 8;
	BTFSS      PORTB+0, 4
	GOTO       L__PWM_GetFreqValue14
	MOVLW      8
	ADDWF      _iPwmFreqConf+0, 1
	BTFSC      STATUS+0, 0
	INCF       _iPwmFreqConf+1, 1
L__PWM_GetFreqValue14:
;electronique_gradateur_lumiere_012d.mpas,72 :: 		if PORTB.5 then iPwmFreqConf := iPwmFreqConf + 16;
	BTFSS      PORTB+0, 5
	GOTO       L__PWM_GetFreqValue17
	MOVLW      16
	ADDWF      _iPwmFreqConf+0, 1
	BTFSC      STATUS+0, 0
	INCF       _iPwmFreqConf+1, 1
L__PWM_GetFreqValue17:
;electronique_gradateur_lumiere_012d.mpas,73 :: 		if PORTB.6 then iPwmFreqConf := iPwmFreqConf + 32;
	BTFSS      PORTB+0, 6
	GOTO       L__PWM_GetFreqValue20
	MOVLW      32
	ADDWF      _iPwmFreqConf+0, 1
	BTFSC      STATUS+0, 0
	INCF       _iPwmFreqConf+1, 1
L__PWM_GetFreqValue20:
;electronique_gradateur_lumiere_012d.mpas,74 :: 		if PORTB.7 then iPwmFreqConf := iPwmFreqConf + 64;
	BTFSS      PORTB+0, 7
	GOTO       L__PWM_GetFreqValue23
	MOVLW      64
	ADDWF      _iPwmFreqConf+0, 1
	BTFSC      STATUS+0, 0
	INCF       _iPwmFreqConf+1, 1
L__PWM_GetFreqValue23:
;electronique_gradateur_lumiere_012d.mpas,84 :: 		if ((iPwmFreqConf > 0) and (iPwmFreqConf <= 6)) then PWM1_Init(500)  // 500 Hz
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue105
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      0
L__PWM_GetFreqValue105:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue106
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      6
L__PWM_GetFreqValue106:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue26
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BSF        T2CON+0, 0
	BSF        T2CON+0, 1
	MOVLW      249
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue27
;electronique_gradateur_lumiere_012d.mpas,85 :: 		else if ((iPwmFreqConf > 6) and (iPwmFreqConf <= 12)) then PWM1_Init(1000)  // 1 kHz
L__PWM_GetFreqValue26:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue107
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      6
L__PWM_GetFreqValue107:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue108
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      12
L__PWM_GetFreqValue108:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue29
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BSF        T2CON+0, 0
	BSF        T2CON+0, 1
	MOVLW      124
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue30
;electronique_gradateur_lumiere_012d.mpas,86 :: 		else if ((iPwmFreqConf > 12) and (iPwmFreqConf <= 18)) then PWM1_Init(2000)  // 2 kHz
L__PWM_GetFreqValue29:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue109
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      12
L__PWM_GetFreqValue109:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue110
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      18
L__PWM_GetFreqValue110:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue32
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BSF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      249
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue33
;electronique_gradateur_lumiere_012d.mpas,87 :: 		else if ((iPwmFreqConf > 18) and (iPwmFreqConf <= 24)) then PWM1_Init(3000)  // 3 kHz
L__PWM_GetFreqValue32:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue111
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      18
L__PWM_GetFreqValue111:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue112
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      24
L__PWM_GetFreqValue112:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue35
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BSF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      166
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue36
;electronique_gradateur_lumiere_012d.mpas,88 :: 		else if ((iPwmFreqConf > 24) and (iPwmFreqConf <= 30)) then PWM1_Init(4000)  // 4 kHz
L__PWM_GetFreqValue35:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue113
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      24
L__PWM_GetFreqValue113:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue114
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      30
L__PWM_GetFreqValue114:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue38
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BSF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      124
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue39
;electronique_gradateur_lumiere_012d.mpas,89 :: 		else if ((iPwmFreqConf > 30) and (iPwmFreqConf <= 36)) then PWM1_Init(5000)  // 5 kHz
L__PWM_GetFreqValue38:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue115
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      30
L__PWM_GetFreqValue115:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue116
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      36
L__PWM_GetFreqValue116:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue41
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BSF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      99
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue42
;electronique_gradateur_lumiere_012d.mpas,90 :: 		else if ((iPwmFreqConf > 36) and (iPwmFreqConf <= 42)) then PWM1_Init(6000)  // 6 kHz
L__PWM_GetFreqValue41:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue117
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      36
L__PWM_GetFreqValue117:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue118
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      42
L__PWM_GetFreqValue118:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue44
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BSF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      83
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue45
;electronique_gradateur_lumiere_012d.mpas,91 :: 		else if ((iPwmFreqConf > 42) and (iPwmFreqConf <= 48)) then PWM1_Init(7000)  // 7 kHz
L__PWM_GetFreqValue44:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue119
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      42
L__PWM_GetFreqValue119:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue120
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      48
L__PWM_GetFreqValue120:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue47
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BSF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      71
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue48
;electronique_gradateur_lumiere_012d.mpas,92 :: 		else if ((iPwmFreqConf > 48) and (iPwmFreqConf <= 54)) then PWM1_Init(8000)  // 8 kHz
L__PWM_GetFreqValue47:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue121
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      48
L__PWM_GetFreqValue121:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue122
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      54
L__PWM_GetFreqValue122:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue50
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      249
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue51
;electronique_gradateur_lumiere_012d.mpas,93 :: 		else if ((iPwmFreqConf > 54) and (iPwmFreqConf <= 60)) then PWM1_Init(9000)  // 9 kHz
L__PWM_GetFreqValue50:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue123
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      54
L__PWM_GetFreqValue123:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue124
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      60
L__PWM_GetFreqValue124:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue53
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      221
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue54
;electronique_gradateur_lumiere_012d.mpas,94 :: 		else if ((iPwmFreqConf > 60) and (iPwmFreqConf <= 66)) then PWM1_Init(10000)  // 10 kHz
L__PWM_GetFreqValue53:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue125
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      60
L__PWM_GetFreqValue125:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue126
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      66
L__PWM_GetFreqValue126:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue56
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      199
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue57
;electronique_gradateur_lumiere_012d.mpas,95 :: 		else if ((iPwmFreqConf > 66) and (iPwmFreqConf <= 72)) then PWM1_Init(15000)  // 15 kHz
L__PWM_GetFreqValue56:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue127
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      66
L__PWM_GetFreqValue127:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue128
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      72
L__PWM_GetFreqValue128:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue59
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      132
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue60
;electronique_gradateur_lumiere_012d.mpas,96 :: 		else if ((iPwmFreqConf > 72) and (iPwmFreqConf <= 78)) then PWM1_Init(20000)  // 20 kHz
L__PWM_GetFreqValue59:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue129
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      72
L__PWM_GetFreqValue129:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue130
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      78
L__PWM_GetFreqValue130:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue62
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      99
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue63
;electronique_gradateur_lumiere_012d.mpas,97 :: 		else if ((iPwmFreqConf > 78) and (iPwmFreqConf <= 84)) then PWM1_Init(25000)  // 25 kHz
L__PWM_GetFreqValue62:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue131
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      78
L__PWM_GetFreqValue131:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue132
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      84
L__PWM_GetFreqValue132:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue65
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      79
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue66
;electronique_gradateur_lumiere_012d.mpas,98 :: 		else if ((iPwmFreqConf > 84) and (iPwmFreqConf <= 90)) then PWM1_Init(30000)  // 30 kHz
L__PWM_GetFreqValue65:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue133
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      84
L__PWM_GetFreqValue133:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue134
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      90
L__PWM_GetFreqValue134:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue68
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      65
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue69
;electronique_gradateur_lumiere_012d.mpas,99 :: 		else if ((iPwmFreqConf > 90) and (iPwmFreqConf <= 96)) then PWM1_Init(35000)  // 35 kHz
L__PWM_GetFreqValue68:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue135
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      90
L__PWM_GetFreqValue135:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue136
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      96
L__PWM_GetFreqValue136:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue71
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      56
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue72
;electronique_gradateur_lumiere_012d.mpas,100 :: 		else if ((iPwmFreqConf > 96) and (iPwmFreqConf <= 102)) then PWM1_Init(40000)  // 40 kHz
L__PWM_GetFreqValue71:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue137
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      96
L__PWM_GetFreqValue137:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue138
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      102
L__PWM_GetFreqValue138:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue74
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      49
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue75
;electronique_gradateur_lumiere_012d.mpas,101 :: 		else if ((iPwmFreqConf > 102) and (iPwmFreqConf <= 108)) then PWM1_Init(45000)  // 45 kHz
L__PWM_GetFreqValue74:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue139
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      102
L__PWM_GetFreqValue139:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue140
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      108
L__PWM_GetFreqValue140:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue77
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      43
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue78
;electronique_gradateur_lumiere_012d.mpas,102 :: 		else if ((iPwmFreqConf > 108) and (iPwmFreqConf <= 114)) then PWM1_Init(50000)  // 50 kHz
L__PWM_GetFreqValue77:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue141
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      108
L__PWM_GetFreqValue141:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue142
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      114
L__PWM_GetFreqValue142:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue80
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      39
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue81
;electronique_gradateur_lumiere_012d.mpas,103 :: 		else if ((iPwmFreqConf > 114) and (iPwmFreqConf <= 120)) then PWM1_Init(55000)  // 55 kHz
L__PWM_GetFreqValue80:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue143
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      114
L__PWM_GetFreqValue143:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue144
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      120
L__PWM_GetFreqValue144:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue83
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      35
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue84
;electronique_gradateur_lumiere_012d.mpas,104 :: 		else if (iPwmFreqConf > 120) then PWM1_Init(60000)  // 60 kHz
L__PWM_GetFreqValue83:
	MOVF       _iPwmFreqConf+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetFreqValue145
	MOVF       _iPwmFreqConf+0, 0
	SUBLW      120
L__PWM_GetFreqValue145:
	BTFSC      STATUS+0, 0
	GOTO       L__PWM_GetFreqValue86
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      32
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
	GOTO       L__PWM_GetFreqValue87
;electronique_gradateur_lumiere_012d.mpas,105 :: 		else PWM1_Init(1000);  // 1000 Hz
L__PWM_GetFreqValue86:
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	BSF        T2CON+0, 0
	BSF        T2CON+0, 1
	MOVLW      124
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
L__PWM_GetFreqValue87:
L__PWM_GetFreqValue84:
L__PWM_GetFreqValue81:
L__PWM_GetFreqValue78:
L__PWM_GetFreqValue75:
L__PWM_GetFreqValue72:
L__PWM_GetFreqValue69:
L__PWM_GetFreqValue66:
L__PWM_GetFreqValue63:
L__PWM_GetFreqValue60:
L__PWM_GetFreqValue57:
L__PWM_GetFreqValue54:
L__PWM_GetFreqValue51:
L__PWM_GetFreqValue48:
L__PWM_GetFreqValue45:
L__PWM_GetFreqValue42:
L__PWM_GetFreqValue39:
L__PWM_GetFreqValue36:
L__PWM_GetFreqValue33:
L__PWM_GetFreqValue30:
L__PWM_GetFreqValue27:
;electronique_gradateur_lumiere_012d.mpas,106 :: 		PWM1_Start;
	CALL       _PWM1_Start+0
;electronique_gradateur_lumiere_012d.mpas,107 :: 		PWM1_Set_Duty(50);
	MOVLW      50
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;electronique_gradateur_lumiere_012d.mpas,108 :: 		iPwmDutyOld := 50;  // force change on next ADC acquisition if needed
	MOVLW      50
	MOVWF      _iPwmDutyOld+0
;electronique_gradateur_lumiere_012d.mpas,109 :: 		delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L__PWM_GetFreqValue88:
	DECFSZ     R13+0, 1
	GOTO       L__PWM_GetFreqValue88
	DECFSZ     R12+0, 1
	GOTO       L__PWM_GetFreqValue88
	DECFSZ     R11+0, 1
	GOTO       L__PWM_GetFreqValue88
	NOP
;electronique_gradateur_lumiere_012d.mpas,111 :: 		end;
L_end_PWM_GetFreqValue:
	RETURN
; end of _PWM_GetFreqValue

_PWM_GetDutyValue:

;electronique_gradateur_lumiere_012d.mpas,114 :: 		begin
;electronique_gradateur_lumiere_012d.mpas,115 :: 		iADC := ADC_Get_Sample(0);
	CLRF       FARG_ADC_Get_Sample_channel+0
	CALL       _ADC_Get_Sample+0
	MOVF       R0+0, 0
	MOVWF      _iADC+0
	MOVF       R0+1, 0
	MOVWF      _iADC+1
;electronique_gradateur_lumiere_012d.mpas,116 :: 		if iADC > 0 then
	MOVF       R0+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__PWM_GetDutyValue147
	MOVF       R0+0, 0
	SUBLW      0
L__PWM_GetDutyValue147:
	BTFSC      STATUS+0, 0
	GOTO       L__PWM_GetDutyValue91
;electronique_gradateur_lumiere_012d.mpas,117 :: 		iPwmDutyNew := iADC shr 2
	MOVF       _iADC+0, 0
	MOVWF      R0+0
	MOVF       _iADC+1, 0
	MOVWF      R0+1
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	MOVF       R0+0, 0
	MOVWF      _iPwmDutyNew+0
	GOTO       L__PWM_GetDutyValue92
;electronique_gradateur_lumiere_012d.mpas,119 :: 		else
L__PWM_GetDutyValue91:
;electronique_gradateur_lumiere_012d.mpas,120 :: 		iPwmDutyNew := 1;  // less than 0,5% but not 0%
	MOVLW      1
	MOVWF      _iPwmDutyNew+0
L__PWM_GetDutyValue92:
;electronique_gradateur_lumiere_012d.mpas,121 :: 		if iPwmDutyNew <> iPwmDutyOld then
	MOVF       _iPwmDutyNew+0, 0
	XORWF      _iPwmDutyOld+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__PWM_GetDutyValue94
;electronique_gradateur_lumiere_012d.mpas,123 :: 		PWM1_Set_Duty(iPwmDutyNew);
	MOVF       _iPwmDutyNew+0, 0
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;electronique_gradateur_lumiere_012d.mpas,124 :: 		iPwmDutyOld := iPwmDutyNew;
	MOVF       _iPwmDutyNew+0, 0
	MOVWF      _iPwmDutyOld+0
;electronique_gradateur_lumiere_012d.mpas,125 :: 		end;
L__PWM_GetDutyValue94:
;electronique_gradateur_lumiere_012d.mpas,126 :: 		end;
L_end_PWM_GetDutyValue:
	RETURN
; end of _PWM_GetDutyValue

_main:

;electronique_gradateur_lumiere_012d.mpas,128 :: 		begin
;electronique_gradateur_lumiere_012d.mpas,129 :: 		Main_Init;
	CALL       _Main_Init+0
;electronique_gradateur_lumiere_012d.mpas,130 :: 		PWM_GetFreqValue;    // get PWM freq
	CALL       _PWM_GetFreqValue+0
;electronique_gradateur_lumiere_012d.mpas,131 :: 		while true do
L__main98:
;electronique_gradateur_lumiere_012d.mpas,133 :: 		PWM_GetDutyValue;  // change PWM duty ?
	CALL       _PWM_GetDutyValue+0
;electronique_gradateur_lumiere_012d.mpas,134 :: 		delay_ms(50);      // wait a little before next measure
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L__main102:
	DECFSZ     R13+0, 1
	GOTO       L__main102
	DECFSZ     R12+0, 1
	GOTO       L__main102
	NOP
	NOP
;electronique_gradateur_lumiere_012d.mpas,135 :: 		end;
	GOTO       L__main98
;electronique_gradateur_lumiere_012d.mpas,136 :: 		end.
L_end_main:
	GOTO       $+0
; end of _main
